Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Ice::PluginManager`

## Overview

    local interface PluginManager

Each communicator has a plugin manager to administer the set of plug-ins.

### Used By

`Communicator::getPluginManager`

### Operation Index

`addPlugin`

  Install a new plug-in.

`destroy`

  Called when the communicator is being destroyed.

`getPlugin`

  Obtain a plug-in by name.

## `addPlugin`

    void addPlugin(string name,
        Plugin pi);

Install a new plug-in.

### Parameters

`name`

  The plug-in's name.

`pi`

  The plug-in.

## `destroy`

    void destroy();

Called when the communicator is being destroyed.

## `getPlugin`

    Plugin getPlugin(string name);

Obtain a plug-in by name.

### Parameters

`name`

  The plug-in's name.

### Return Value

The plug-in.

<<< Previous | Home | Next >>>
`Ice::PluginInitializationException` | Up | `Ice::Process`